#include "sht.h"

#include <stdlib.h>
#include <stdio.h> 

void sht_debug_display(HashTable* pht){
     /* ROLE         Displays the entire hash table for debugging purposes
        RETURNS      n/a 
        PARAMETERS   pht - Pointer to the HashTable
     */     
     
     printf("\t HashTable Dump\n"); 
     int i; 
     for(i=0; i < pht->tablesize; i++){
              Map* data = NULL; 
              data = pht->buckets[i]; 
              if (data) printf("\t\t@%3d = { %s, %s}\n", i, data->key, data->value);
     }
     printf("\t Using %d/%d Slots\n", pht->nbpairs, pht->tablesize); 
}
